/*
 * Copyright (c) 1992 Michael A. Cooper.
 * This software may be freely distributed provided it is not sold for 
 * profit and the author is credited appropriately.
 */

#ifndef lint
static char *RCSid = "$Header: /src/common/usc/bin/sysinfo/RCS/info-next.c,v 1.5 1992/04/26 23:32:06 mcooper Exp $";
#endif

/*
 * $Log: info-next.c,v $
 * Revision 1.5  1992/04/26  23:32:06  mcooper
 * Add Copyright notice
 *
 * Revision 1.4  1992/04/17  01:10:11  mcooper
 * Moved DEVICE *() function declares to defs.h.
 *
 * Revision 1.3  1992/03/28  21:59:28  mcooper
 * Implemented disk and netif device probing.
 *
 * Revision 1.2  1992/03/22  02:02:26  mcooper
 * Add NeXTBusNL nlist.
 *
 * Revision 1.1  1992/03/22  01:04:34  mcooper
 * Initial revision
 *
 */


/*
 * NeXT related information
 */

#include <stdio.h>
#include "system.h"
#include "defs.h"

#include <nlist.h>

/*
 * Kernel variable containing model number.
 */
struct nlist MachineTypeNL[] = {
#if	!defined(COFF)
    { "_machine_type" },
#else
    { "machine_type" },
#endif	/* COFF */
    { 0 },
};

/*
 * Kernel symbol for the device table
 */
struct nlist NeXTBusNL[] = {
#if	!defined(COFF)
    { "_bus_dinit" },
#else
    { "bus_dinit" },
#endif	/* COFF */
    { 0 },
};

/*
 * Models of NeXT machines as defined in <next/scr.h>
 */
#include <next/scr.h>
NAMETAB ModelTab[] = {
#ifdef NeXT_CUBE
    {  NeXT_CUBE, 	"NeXTCube (MC68030)" },
#endif
#ifdef NeXT_WARP9
    {  NeXT_WARP9,	"NeXTStation" },
#endif
#ifdef NeXT_X15
    {  NeXT_X15,	"NeXTCube (MC68040)" },
#endif
#ifdef NeXT_WARP9C
    {  NeXT_WARP9C,	"NeXTWarp9C" },
#endif
    {  0 },
};

/*
 * Device Data Table
 *
 * Compares are done by the length of the string appearing in
 * the first columns.  Therefore, longer names must appear before
 * any shorter names that are not unique.  e.g. "lebuffer" needs to
 * be before "le".
 */
DEVDATATAB DevDataTab[] = {
    { "sc",		0,	NULL,	"SCSI Controller", 		NULL },
    { "odc",		0,	NULL,	"Optical Disk Controller", 	NULL },
    { "fdc",		0,	NULL,	"Floppy Disk Controller", 	NULL },
    { "sd",		0,	NULL,	NULL,		ProbeDiskDrive },
    { "od",		0,	NULL,	NULL,		ProbeDiskDrive },
    { "fd",		0,	NULL,	NULL,		ProbeDiskDrive },
    { "en",		0,	
	  "EtherNet Interface",	"10Mb/sec Ethernet",	ProbeNetif },
    {  0 },
};
